Update a sync source
curl --request PATCH \
--url https://api.quiva.ai/m365/sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": {
"extensions": [
"<string>"
],
"max_bytes": 123,
"skip_labelled": true
},
"interval_minutes": 123,
"regrant": true,
"setup_session": "<string>"
}
'import requests
url = "https://api.quiva.ai/m365/sources/{id}"
payload = {
"rules": {
"extensions": ["<string>"],
"max_bytes": 123,
"skip_labelled": True
},
"interval_minutes": 123,
"regrant": True,
"setup_session": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: {extensions: ['<string>'], max_bytes: 123, skip_labelled: true},
interval_minutes: 123,
regrant: true,
setup_session: '<string>'
})
};
fetch('https://api.quiva.ai/m365/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/m365/sources/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
'extensions' => [
'<string>'
],
'max_bytes' => 123,
'skip_labelled' => true
],
'interval_minutes' => 123,
'regrant' => true,
'setup_session' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/m365/sources/{id}"
payload := strings.NewReader("{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/m365/sources/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/m365/sources/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tenant_id": "<string>",
"site": {
"id": "<string>",
"name": "<string>",
"web_url": "<string>"
},
"drive": {
"id": "<string>",
"name": "<string>"
},
"root": {
"item_id": "<string>",
"path": "<string>"
},
"target": {
"space_id": "<string>",
"folder_path": "<string>"
},
"storage_mode": "mirror",
"rules": {
"extensions": [
"<string>"
],
"max_bytes": 123,
"skip_labelled": true
},
"interval_minutes": 123,
"state": "<string>",
"attention": {
"code": "<string>",
"message": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"stats": {
"files": 123,
"skipped": 123,
"bytes": 123,
"last_run_at": "<string>",
"last_change_at": "<string>"
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}SharePoint sync sources
Update a sync source
Changes rules, interval, storage mode or state. With regrant: true and a setup_session it rewrites the site grant and runs the source now. Admin only.
PATCH
/
m365
/
sources
/
{id}
Update a sync source
curl --request PATCH \
--url https://api.quiva.ai/m365/sources/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"rules": {
"extensions": [
"<string>"
],
"max_bytes": 123,
"skip_labelled": true
},
"interval_minutes": 123,
"regrant": true,
"setup_session": "<string>"
}
'import requests
url = "https://api.quiva.ai/m365/sources/{id}"
payload = {
"rules": {
"extensions": ["<string>"],
"max_bytes": 123,
"skip_labelled": True
},
"interval_minutes": 123,
"regrant": True,
"setup_session": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
rules: {extensions: ['<string>'], max_bytes: 123, skip_labelled: true},
interval_minutes: 123,
regrant: true,
setup_session: '<string>'
})
};
fetch('https://api.quiva.ai/m365/sources/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.quiva.ai/m365/sources/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'rules' => [
'extensions' => [
'<string>'
],
'max_bytes' => 123,
'skip_labelled' => true
],
'interval_minutes' => 123,
'regrant' => true,
'setup_session' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.quiva.ai/m365/sources/{id}"
payload := strings.NewReader("{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.quiva.ai/m365/sources/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.quiva.ai/m365/sources/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"rules\": {\n \"extensions\": [\n \"<string>\"\n ],\n \"max_bytes\": 123,\n \"skip_labelled\": true\n },\n \"interval_minutes\": 123,\n \"regrant\": true,\n \"setup_session\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"tenant_id": "<string>",
"site": {
"id": "<string>",
"name": "<string>",
"web_url": "<string>"
},
"drive": {
"id": "<string>",
"name": "<string>"
},
"root": {
"item_id": "<string>",
"path": "<string>"
},
"target": {
"space_id": "<string>",
"folder_path": "<string>"
},
"storage_mode": "mirror",
"rules": {
"extensions": [
"<string>"
],
"max_bytes": 123,
"skip_labelled": true
},
"interval_minutes": 123,
"state": "<string>",
"attention": {
"code": "<string>",
"message": "<string>",
"since": "2023-11-07T05:31:56Z"
},
"stats": {
"files": 123,
"skipped": 123,
"bytes": 123,
"last_run_at": "<string>",
"last_change_at": "<string>"
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Body
application/json
Response
Success